#if !defined(AFX_PNDRIVELIST_H__301829E6_08EC_11D4_9F91_080009EE62AA__INCLUDED_)
#define AFX_PNDRIVELIST_H__301829E6_08EC_11D4_9F91_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PNDriveList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPNDriveList window

class CPNDriveList : public CListCtrl
{
// Construction
public:
	CPNDriveList();
	CImageList m_ImageList;
	BOOL m_LargeIcons;

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPNDriveList)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	void GetSysImageList();
	void Populate();
	void PopulateDrives();
	BOOL GetDriveIcons( const char* Path, int& iIcon, int& iIconSel );
	virtual ~CPNDriveList();

	// Generated message map functions
protected:
	//{{AFX_MSG(CPNDriveList)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PNDRIVELIST_H__301829E6_08EC_11D4_9F91_080009EE62AA__INCLUDED_)
